<div class="global-container">
  <div class="card login-form mt-3">
    <div class="card-body p-5">
      <div class="text-center">
        <img src="assets/images/logo/bugloos-logo.svg" alt="bugloos-logo">
        <h3 class="card-title text-center mt-4 pt-3 border-top">Register into the platform</h3>
      </div>
      <div id="cover" class="container">
        <form [formGroup]="signUpForm" (ngSubmit)="onSubmit()">
          <div class="row">
            <div class="col-6">
              <div class="form-group">
                <label for="fullName">Full Name</label>
                <input
                  type="text"
                  id="fullName"
                  class="form-control"
                  formControlName="fullName"
                >
                <small
                  *ngIf="!signUpForm.get('fullName').valid &&
              signUpForm.get('fullName').touched"
                >Please Enter A Valid Name!
                </small>
              </div>
            </div>
            <div class="col-6">
              <div class="form-group">
                <label for="email">Email</label>
                <input
                  type="email"
                  id="email"
                  class="form-control"
                  formControlName="email"
                >
                <small
                  *ngIf="!signUpForm.get('email').valid &&
              signUpForm.get('email').touched"
                >Please Enter A Valid Email!
                </small>
              </div>
            </div>
          </div>

          <div class="row">
            <div class="col-6">
              <div class="form-group">
                <label for="birthday">Birthday</label>
                <input
                  type="date"
                  id="birthday"
                  class="form-control"
                  formControlName="birthday"
                >
                <small
                  *ngIf="!signUpForm.get('birthday').valid &&
              signUpForm.get('birthday').touched"
                >Please Enter A Valid Birthday!
                </small>
              </div>
            </div>
            <div class="col-6">
              <div class="form-group">
                <label for="postalCode">Postal Code</label>
                <input
                  type="number"
                  id="postalCode"
                  class="form-control"
                  formControlName="postalCode"
                >
                <small
                  *ngIf="!signUpForm.get('postalCode').valid &&
                  signUpForm.get('postalCode').touched"
                >Please Enter A Valid Postal Code!
                </small>
              </div>
            </div>
          </div>

          <div class="row">
            <div class="col-12">
              <div class="form-group">
                <label for="address">Address</label>
                <input
                  id="address"
                  class="form-control"
                  formControlName="address"
                >
                <small
                  *ngIf="!signUpForm.get('address').valid &&
              signUpForm.get('address').touched"
                >Please Enter A Valid Address!
                </small>
              </div>
            </div>
          </div>

          <div class="row">
            <div class="col-6">
              <div class="form-group">
                <label for="password">Password</label>
                <input
                  type="password"
                  id="password"
                  class="form-control"
                  formControlName="password"
                >
                <small
                  *ngIf="!signUpForm.get('password').valid &&
              signUpForm.get('password').touched"
                >Please Enter A Valid Password!
                </small>
              </div>
            </div>
            <div class="col-6">
              <div class="form-group">
                <label for="confirmPassword">Confirm Password</label>
                <input
                  type="password"
                  id="confirmPassword"
                  class="form-control"
                  formControlName="confirmPassword"
                >
                <small
                  *ngIf="!signUpForm.get('confirmPassword').valid &&
              signUpForm.get('confirmPassword').touched"
                >Please Enter A Valid Password!
                </small>
              </div>
            </div>
            <small
              *ngIf="signUpForm.get('password').value
                !== signUpForm.get('confirmPassword').value"
            >
              Passwords is not match!
            </small>
          </div>
          <div class="row">
            <div class="col">
              <button
                type="submit"
                class="btn btn-info px-3 btn-lg btn-block"
                [disabled]="!signUpForm.valid"
              >Sign Up
              </button>
              <a class="text-center d-block text-dark" routerLink="/register">
                <small>Already have account?</small>
              </a>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
